Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.xml
Class ColorPropertyRule

    java.lang.Object
      org.apache.commons.digester.Rule
          net.sf.jasperreports.engine.xml.TransformedPropertyRule
              net.sf.jasperreports.engine.xml.ColorPropertyRule

    public class ColorPropertyRule

extends TransformedPropertyRule

Version:
  $Id: ColorPropertyRule.java 3034 2009-08-27 11:58:04Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary

Fields inherited from class net.sf.jasperreports.engine.xml.TransformedPropertyRule
`attributeName, propertyName`

Fields inherited from class org.apache.commons.digester.Rule
`digester, namespaceURI`

Constructor Summary
`ColorPropertyRule(java.lang.String attributeName)`
`ColorPropertyRule(java.lang.String attributeName, java.lang.String propertyName)`

Method Summary
`protected java.lang.Object` | `toPropertyValue(java.lang.String attributeValue)`

Methods inherited from class net.sf.jasperreports.engine.xml.TransformedPropertyRule
`begin`

Methods inherited from class org.apache.commons.digester.Rule
`begin, body, body, end, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorPropertyRule

    public ColorPropertyRule(java.lang.String attributeName,
                             java.lang.String propertyName)

### ColorPropertyRule

    public ColorPropertyRule(java.lang.String attributeName)

Method Detail

### toPropertyValue

    protected java.lang.Object toPropertyValue(java.lang.String attributeValue)

  Specified by:
    `toPropertyValue` in class `TransformedPropertyRule`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com